Summary: Swatch is used to filter your logs. 
Name: swatch
Version: 3.0.4
Release: 1.0.29
Copyright: GPL
Group: Applications/Networking
Source: swatch-%{version}.tar.gz
Source1: swatch.conf
Source2: swatch.init
Source3: swatch-mail
Source4: swatch-mail.conf
Source5: swatch-rotate
Source6: logsum
Source7: logsum.conf
Source8: swatch.crond
Patch0: %{name}-%{version}-message.patch
Patch1: swatch-%{version}-sig.patch
Requires: perl, perl-Time-HiRes, perl-Time-Date, perl-Date-Calc, perl-File-Tail
Buildroot: /var/tmp/%{name}-root

%description
Swatch is designed to monitor system activity. Swatch requires a
configuration file which contains pattern(s) to look for and action(s)
to do when each pattern is found. 

%prep
%setup -n %{name}-%{version}
# %patch0
# %patch1 -p1

%build
perl Makefile.PL prefix=$RPM_BUILD_ROOT/usr
make
make test

%install
mkdir -p $RPM_BUILD_ROOT

%{makeinstall}

mkdir -p $RPM_BUILD_ROOT/var/log/audit
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d/
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d

### Files need to be touched ahead of time for creation
### so they can be protected by LIDS
touch $RPM_BUILD_ROOT/var/log/audit/daily.summary
touch $RPM_BUILD_ROOT/var/log/audit/kernel.log
touch $RPM_BUILD_ROOT/var/log/audit/lids-failed_password.log
touch $RPM_BUILD_ROOT/var/log/audit/lids.log
touch $RPM_BUILD_ROOT/var/log/audit/lids_general.log
touch $RPM_BUILD_ROOT/var/log/audit/log-msgs.log
touch $RPM_BUILD_ROOT/var/log/audit/mail_relay_deny.log
touch $RPM_BUILD_ROOT/var/log/audit/mail_scripts_error.log
touch $RPM_BUILD_ROOT/var/log/audit/mail_warning.log
touch $RPM_BUILD_ROOT/var/log/audit/pam.log
touch $RPM_BUILD_ROOT/var/log/audit/panic.log
touch $RPM_BUILD_ROOT/var/log/audit/ssh_authentication.log
touch $RPM_BUILD_ROOT/var/log/audit/su_fail.log
touch $RPM_BUILD_ROOT/var/log/audit/su_logins.log
touch $RPM_BUILD_ROOT/var/log/audit/mail_fatal.log
touch $RPM_BUILD_ROOT/var/log/audit/mail_startstop.log
touch $RPM_BUILD_ROOT/var/log/audit/mail_bounce.log
touch $RPM_BUILD_ROOT/var/log/audit/dns_startstop.log
touch $RPM_BUILD_ROOT/var/log/audit/dns_zone-errors.log
touch $RPM_BUILD_ROOT/var/log/audit/dns_warning.log

install -m750 $RPM_SOURCE_DIR/logsum \
	$RPM_BUILD_ROOT/usr/bin/logsum
install -m640 $RPM_SOURCE_DIR/logsum.conf \
	$RPM_BUILD_ROOT/etc/logsum.conf
install -m640 $RPM_SOURCE_DIR/swatch-rotate \
	$RPM_BUILD_ROOT/etc/logrotate.d/swatch
install -m750 $RPM_SOURCE_DIR/swatch-mail \
	$RPM_BUILD_ROOT/usr/bin/swatch-mail
install -m640 $RPM_SOURCE_DIR/swatch-mail.conf \
	$RPM_BUILD_ROOT/etc/swatch-mail.conf
install -m640 $RPM_SOURCE_DIR/swatch.conf \
	$RPM_BUILD_ROOT/etc/swatch.conf
install -m750 %{SOURCE2} \
	$RPM_BUILD_ROOT/etc/init.d/swatch
install -m640 $RPM_SOURCE_DIR/swatch.crond \
	$RPM_BUILD_ROOT/etc/cron.d/swatch

cd $RPM_BUILD_ROOT/etc/

mkdir -p $RPM_BUILD_ROOT/var/run/swatch
cd $RPM_BUILD_ROOT/etc/init.d/

%pre
if [ -f /var/run/swatch.pid ]; then
  /etc/init.d/swatch stop
fi

%post
/sbin/chkconfig --add swatch

/etc/init.d/swatch start

## if [ -f /etc/crontab ]; then
##    if [ -z `grep swatch /etc/crontab` ]; then
##       mv /etc/crontab /etc/crontab.old
##       sed -e "s/logrotate\.conf/& \&\& \/etc\/init\.d\/swatch restart /" \
## 		/etc/crontab.old > /etc/crontab
##    fi
## fi

%preun
/sbin/chkconfig --del swatch
/etc/init.d/swatch stop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0640,root,admin) %config /etc/swatch.conf
%attr(0640,root,root)	%config /etc/logsum.conf
%attr(0640,root,admin) %config /etc/swatch-mail.conf
%attr(0640,root,admin) /etc/logrotate.d/swatch
%attr(700,root,root) /etc/init.d/swatch
/usr/bin/*
/etc/cron.d/*
%attr(0750,root,admin) %dir /var/log/audit
%attr(0640,root,admin) /var/log/audit/*
%attr(0750,root,admin) /var/run/swatch

%changelog
* Mon May 15 2002 Nicholas DeClario <nick@guardiandigital.com>
- Version 3.0.4, Release 1.0.29
  - Updated logsum.conf to include password and key SSL auth methods

* Mon Mar 18 2002 Nicholas DeClario <nick@guardiandigital.com>
- Version 3.0.4, Release 1.0.28
  - Updated to 3.0.4
  - Fixed logsum parsing problems and date "roll-overs".
  - ported patches from 3.0.1 to 3.0.4

* Tue Mar 27 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.0.1, Release 1.0.27
  - Updated initscript.
  - Removed printing when swatch recieves a signal.


* Thu Mar 15 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscripts.


* Tue Feb 27 2001 Nick DeClario <nick@guardiandigital.com>
- fixed bad e-mail address

* Wed Jan 24 2001 Nick DeClario <nick@guardiandigital.com>
- fixed avr/var problem
- fixed chkconfig error

* Wed Jan 16 2001 Nick DeClario <nick@guardiandigital.com>
- Added size option to swatch logrotate

* Mon Dec 18 2000 Nick DeClario <nick@guardiandigital.com>
- Updated wording of a few error messages to match the manual

* Mon Dec 11 2000 Nick DeClario <nick@guardiandigital.com>
- Fixed proper logging of LIDS 

* Mon Dec 11 2000 Nick DeClario <nick@guardiandigital.com>
- Fixed `'` problem in swatch.conf

* Fri Dec 08 2000 Nick DeClario <nick@guardiandigital.com>
- Fixed /avr/ -> /var/ config problem
- Removed "status" from initscripts

* Fri Dec 08 2000 Nick DeClario <nick@guardiandigital.com>
- Added logsum detection of LIDS
- Fixed date off my 1 month
- Fixed su_login(s).log
- Fixed WebTool Daily Summaries
- Changed default e-mail address to root

* Thu Dec 07 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to /etc/*.conf, /etc/logrotate.d/swatch,
	/var/run/swatch

* Tue Dec 05 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Removed /tmp front file list since it was making it 755... very bad thing.
- More changes to come over the next few days.

* Mon Dec 04 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 700 /etc/init.d/swatch

* Sat Dec 02 2000 Pete O'Hara <pete@guardiandigital.com>
- changed /var/log/audit 0750 root, admin and it's
	contents to 640 root,admin

* Fri Dec 01 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Removed post install script '/etc/init.d/crond restart'

* Wed Nov 29 2000 Pete O'Hara <pete@guardiandigital.com>
- added success/failure routines to /etc/init.d/swatch

* Thu Nov 16 2000 Nick DeClario <nick@guardiandigital.com>
- added message patch to remove startup messages
- removed perllocal.pod file and related files

* Thu Nov 09 2000 Pete O'Hara <pete@guardiandigital.com>
- fixed /etc/rc.d/init.d/functions in /etc/init.d/swatch
	to /etc/init.d/functions

* Thu Nov 09 2000 Nick DeClario <nick@guardiandigital.com>
-  Swatch Configuration changes
-  insertered logsum into cron.d
-  added DNS and more postfix filters to config
-  reads from /var/log/messages instead of syslog

* Wed Nov 01 2000 Nick DeClario	<nick@guardiandigital.com>
- Configuration Changes
-  Added swatch-mail and swatch-mail.conf for notifying sys admin
	if 3 or more LIDS password attempts were made.
-  Added Swatch log rotate
-  Added logsum
-  Fixed Perl module errors
-  Fixed Initscript conflict errors
-  Fixed dependencies

* Fri Oct 27 2000 Nick DeClario <nick@guardiandigital.com>
- Moved all /etc/rc.d/init.d to /etc/init.d 
- Updated configuration
- Added /var/run/swatch for temporary Swatch script

* Mon Oct 2 2000 Nick DeClario <nick@guardiandigital.com> 
- Created RPM
